#include "JsonLogic.h"

namespace json_logic
{
    Json JsonLogic::operation_logic_abstract_different(JsonArrayView values, JsonView data) const
    {
        const Json equal = operation_logic_abstract_equal(values, data);
        if (HasError()) return Json{};
        return MakeBoolean(!equal.as<bool>());
    }

    Json JsonLogic::operation_logic_strict_different(JsonArrayView values, JsonView data) const
    {
        const Json equal = operation_logic_strict_equal(values, data);
        if (HasError()) return Json{};
        return MakeBoolean(!equal.as<bool>());
    }
}
